Bug 170077 - netstat --inet -ap doesn't show all listening ports/processes
netstat --inet -ap doesn't show all listening ports/processes
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 20:48 EDT by Dan Eisner
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 04:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Eisner 2005-10-06 20:48:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
This problem dates back a few versions, but I haven't opened a ticket until now. Basically, 'netstat --inet -ap' used to show all listening and open tcp and udp sockets. However, it now only shows a subset of the listening sockets. Compare:

netstat --inet -ap | grep '*'
netstat -ap | grep '*'

The former doesn't show:
tcp        0      0 *:ssh                       *:*                         
while the latter does, although it doesn't seem specific to ssh.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. netstat --inet -ap
2. netstat -ap

Actual Results:  there are more sockets listed in (2) than in (1).

Expected Results:  Both commands should show the same sockets listening.

Additional info:
Comment 3 Radek Vokal 2005-10-07 04:37:58 EDT
The output is correct. ssh is listed if you use also --inet6 option. 

Note You need to log in before you can comment on or make changes to this bug.